org.apache.synapse.securevault

## Class SecureVaultException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.synapse.securevault.SecureVaultException

- All Implemented Interfaces:
    Serializable

      public class SecureVaultException
      extends RuntimeException

  Common exception for all within secure vault module - TODO create fine grain exceptions
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecureVaultException(String string)`
    `SecureVaultException(String msg, org.apache.commons.logging.Log synLog)`
    `SecureVaultException(String msg, Throwable e)`
    `SecureVaultException(String msg, Throwable cause, org.apache.commons.logging.Log synLog)`
    `SecureVaultException(Throwable t)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SecureVaultException

          public SecureVaultException(String string)

    - #### SecureVaultException

          public SecureVaultException(String msg,
                                      Throwable e)

    - #### SecureVaultException

          public SecureVaultException(Throwable t)

    - #### SecureVaultException

          public SecureVaultException(String msg,
                                      org.apache.commons.logging.Log synLog)

    - #### SecureVaultException

          public SecureVaultException(String msg,
                                      Throwable cause,
                                      org.apache.commons.logging.Log synLog)

Copyright © 2005–2018 Apache Software Foundation. All rights reserved.